# circular dependencies on test modules
# htmlparser2 depends on domutils
%global enable_tests 1
%global srcname domutils

Name:           nodejs-%{srcname}
Version:        1.5.1
Release:        6%{?dist}
Summary:        Utilities for working with htmlparser2's dom
License:        BSD
URL:            https://github.com/FB55/domutils
Source0:        http://registry.npmjs.org/%{srcname}/-/%{srcname}-%{version}.tgz

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(htmlparser2)
BuildRequires:  npm(domhandler)
BuildRequires:  npm(mocha)
%endif


%description
%{summary}.


%prep
%setup -q -n package


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr package.json index.js lib/ %{buildroot}%{nodejs_sitelib}/%{srcname}

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
mocha test/tests/**.js
%endif


%files
%doc readme.md LICENSE
%{nodejs_sitelib}/%{srcname}


%changelog
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Nov 23 2015 Jared Smith <jsmith@fedoraproject.org> - 1.5.1-3
- Enable tests now that we have npm(htmlparser2)

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Mar  8 2015 Piotr Popieluch <piotr1212@gmail.com> - 1.5.1-1
- update to upstream 1.5.1

* Sat Dec  6 2014 Piotr Popieluch <piotr1212@gmail.com> - 1.5.0-2
- Corrected license
- Added rm -rf node_modules/ to prep section
- Removed Group tag

* Sun Nov 23 2014 Piotr Popieluch <piotr1212@gmail.com> - 1.5.0-1
- Initial package
